#!/usr/bin/bash

set -ex

# bob.buildout \
# bob.extension \
# bob.blitz \
# bob.core \
# bob.io.base \
# bob.sp \
# bob.ap \
# bob.bio.base \
# bob.bio.caffe_face \
# bob.bio.face \
# bob.bio.gmm \
# bob.bio.spear \
# bob.bio.video \
# bob.db.arface \
# bob.db.asvspoof \
# bob.db.asvspoof2017 \
# bob.db.atvskeystroke \
# bob.db.avspoof \
# bob.db.banca \
# bob.db.biosecure \
# bob.db.biosecurid.face \
# bob.db.casme2 \
# bob.db.caspeal \
# bob.db.cohface \
# bob.db.cuhk_cufs \
# bob.db.frgc \
# bob.db.fv3d \
# bob.db.gbu \
# bob.db.hci_tagging \
# bob.db.ijba \
# bob.db.kboc16 \
# bob.db.lfw \
# bob.db.livdet2013 \
# bob.db.mobio \
# bob.db.msu_mfsd_mod \
# bob.db.multipie \
# bob.db.nist_sre12 \
# bob.db.pericrosseye \
# bob.db.putvein \
# bob.db.replay \
# bob.db.replaymobile \
# bob.db.scface \
# bob.db.utfvp \
# bob.db.verafinger \
# bob.db.voicepa \
# bob.db.voxforge \
# bob.db.xm2vts \
# bob.db.youtube \
# bob.ip.caffe_extractor \
# bob.ip.facelandmarks \
# bob.ip.skincolorfilter \
# bob.kaldi \
# bob.pad.base \
# bob.pad.face \
# bob.rppg.base \
# gridtk \
for pkg in \
bob.pad.voice \
; do
    git clone git@gitlab.idiap.ch:bob/$pkg || true
    cd $pkg
    git co -b condapackage || git co -- . && git clean -ffdx && git co master && git pull --ff-only && git branch -D condapackage && git co -b condapackage

    ../migrate.py ../../templates/meta.yaml ../../../bob.conda/new/$pkg/meta.yaml \
        ../../gitlab/conda_build_config.yaml .
    cp ../../templates/gitlab-ci.yml .gitlab-ci.yml
    echo "record.txt" >> .gitignore

    # subl conda/meta.yaml
    export BOB_PACKAGE_VERSION=`cat version.txt | tr -d '\n'`
    # conda build -m ../../gitlab/conda_build_config.yaml conda

    git add -A
    git commit -m "Migrate to conda based CI"

    # while true; do
    #     read -p "Do you wish to continue?" yn
    #     case $yn in
    #         [Yy]* ) break;;
    #         [Nn]* ) exit;;
    #         * ) echo "Please answer yes or no.";;
    #     esac
    # done
    git push -u --force origin condapackage
    cd ..
done
